Skip to main content
PUT
/
medias
/
update-files
Bulk Update Files/ Folders
curl --request PUT \
  --url https://services.leadconnectorhq.com/medias/update-files \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "altId": "sx6wyHhbFdRXh302LLNR",
  "altType": "location",
  "filesToBeUpdated": [
    {
      "id": "686f9817f0d3165be9fbcef6",
      "name": "Updated File Name.pdf"
    }
  ]
}
'

Authorizations

Authorization
string
header
required

Use the Access Token generated with user type as Sub-Account (OR) Private Integration Token of Sub-Account

Headers

Authorization
string

Access Token

Example:

"Bearer 9c48df2694a849b6089f9d0d3513efe"

Body

application/json
altId
string
required

Location identifier

Example:

"sx6wyHhbFdRXh302LLNR"

altType
enum<string>
required

Type of entity that owns the files

Available options:
location
Example:

"location"

filesToBeUpdated
object[]
required

Array of file objects to be updated

Example:
[
{
"id": "686f9817f0d3165be9fbcef6",
"name": "Updated File Name.pdf"
}
]

Response

200 - application/json

Successful response

Last modified on March 4, 2026